\begin{lstlisting}[style=XHTML, caption=Detail-Dialog in mindmap.xhtml, label=code:mindmap-dialog]
<h:form>
    ...
    <p:dialog widgetVar="dlgShowComponent"
      header="#{msg['show_component']}" modal="true"
      showEffect="fade" hideEffect="fade" resizable="false">
        <p:outputPanel id="pnlComponentDetail">
            <p:panelGrid columns="2" rendered=
            "#{not empty mindmapView.selectedNode.data}">
                <h:outputText value="#{msg['id']}:"/>
                <h:outputText value=
                  "#{mindmapView.selectedNode.data.id}"/>

                <h:outputText value="#{msg['hostName']}"/>
                <h:outputText value=
                  "#{mindmapView.selectedNode.data.hostname}"/>

                <h:outputText value="#{msg['modelName']}"/>
                <h:outputText value=
                  "#{mindmapView.selectedNode.data.modelName}"/>

                <h:outputText value="#{msg['type']}"/>
                <h:outputText value=
                  "#{mindmapView.selectedNode.data.type}"/>

                <h:outputText value="#{msg['ipAddress']}"/>
                <h:outputText value=
                  "#{mindmapView.selectedNode.data.ip}"/>

                <h:outputText value="#{msg['macAddress']}"/>
                <h:outputText value=
                  "#{mindmapView.selectedNode.data.mac}"/>
            </p:panelGrid>
        </p:outputPanel>
    </p:dialog>
</h:form>
...
\end{lstlisting}